Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Can't install EGit plugin(EGit installed but not found in GUI)
Can't install EGit plugin [message #1781683] Mon, 12 February 2018 08:00 Go to next message
sluge sluge is currently offline sluge slugeFriend
Messages: 5
Registered: February 2017
Junior Member
Hello,
I have installed EGit plugin via http://download.eclipse.org/e4/snapshots/org.eclipse.e4.ui, Help-> about reports that EGit installed but where are no menu items about it in GUI. Looks like something got wrong. How to diagnose EGit plugin in Eclipse?

OS: Ubuntu,
Eclipse: 3.8.1.
Re: Can't install EGit plugin [message #1781738 is a reply to message #1781683] Mon, 12 February 2018 20:43 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3254
Registered: July 2009
Senior Member

Where are you looking for it in the UI? Are its preference pages shown?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Can't install EGit plugin [message #1781757 is a reply to message #1781738] Tue, 13 February 2018 05:35 Go to previous messageGo to next message
sluge sluge is currently offline sluge slugeFriend
Messages: 5
Registered: February 2017
Junior Member
No, nothing
Re: Can't install EGit plugin [message #1781761 is a reply to message #1781757] Tue, 13 February 2018 06:29 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3254
Registered: July 2009
Senior Member

It's possible that 3.8.1, from late 2012, is too old a version and the dependencies have not quite been set properly for the installation to be prevented, or that your Java version is similarly outdated. Try a current download from download.eclipse.org with Java 8 instead.

Nitin Dahyabhai
Eclipse Web Tools Platform

[Updated on: Tue, 13 February 2018 06:31]

Report message to a moderator

Re: Can't install EGit plugin [message #1781814 is a reply to message #1781761] Tue, 13 February 2018 13:27 Go to previous messageGo to next message
sluge sluge is currently offline sluge slugeFriend
Messages: 5
Registered: February 2017
Junior Member
I have Java 1.8.0_151 on my Ubuntu. Is any way to get corresponding EGit version for my current eclipse?
Re: Can't install EGit plugin [message #1784403 is a reply to message #1781814] Tue, 27 March 2018 16:50 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3254
Registered: July 2009
Senior Member

Perhaps from one of the Juno package downloads at http://www.eclipse.org/downloads/packages/release/Juno/SR2.

Again, that's an ancient version you're using.


Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Highlight all matches for various text
Next Topic:[SOLVED]error while opening eclipse Luna
Goto Forum:
  


Current Time: Wed Sep 26 06:24:59 GMT 2018

Powered by FUDForum. Page generated in 0.02977 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top